## gnome-rfont gnome-rfont |

## Synopsis

                        GnomeRFont;
                        GnomeRFontClass;
    GnomeRFont *        gnome_font_get_rfont                (GnomeFont *font,
                                                             const gdouble *t);
    #define             gnome_rfont_ref                     (o)
    #define             gnome_rfont_unref                   (o)
    #define             gnome_rfont_render_pgl_rgb8
    #define             gnome_rfont_render_pgl_rgba8
    #define             GNOME_RFONT_RENDER_DEFAULT
    GnomeFont *         gnome_rfont_get_font                (const GnomeRFont *rfont);
    GnomeFontFace *     gnome_rfont_get_face                (const GnomeRFont *rfont);
    gdouble *           gnome_rfont_get_matrix              (const GnomeRFont *rfont,
                                                             gdouble *matrix);
    ArtPoint *          gnome_rfont_get_glyph_stdadvance    (GnomeRFont *rfont,
                                                             gint glyph,
                                                             ArtPoint *advance);
    ArtDRect *          gnome_rfont_get_glyph_stdbbox       (GnomeRFont *rfont,
                                                             gint glyph,
                                                             ArtDRect *bbox);
    ArtPoint *          gnome_rfont_get_glyph_stdkerning    (GnomeRFont *rfont,
                                                             gint glyph0,
                                                             gint glyph1,
                                                             ArtPoint *kerning);
    const ArtBpath *    gnome_rfont_get_glyph_bpath         (GnomeRFont *rfont,
                                                             gint glyph);
    const ArtSVP *      gnome_rfont_get_glyph_svp           (GnomeRFont *rfont,
                                                             gint glyph);
    PangoFont *             gnome_rfont_get_closest_pango_font
                                                            (const GnomeRFont *rfont,
                                                             PangoFontMap *map);
    PangoFontDescription *  gnome_rfont_get_pango_description
                                                            (const GnomeRFont *rfont);

## Description

## Details

### GnomeRFont

    typedef struct _GnomeRFont GnomeRFont;

### GnomeRFontClass

    typedef struct _GnomeRFontClass GnomeRFontClass;

### gnome_font_get_rfont ()

    GnomeRFont *        gnome_font_get_rfont                (GnomeFont *font,
                                                             const gdouble *t);

Creates a new RFont from `font` and font->raster affine matrix Matrix can be 2x2, although if read, all 2x3 values are retrieved. RFont is referenced, so you have to unref it somewhere

Returns : | the font created, NULL on error.

### gnome_rfont_ref()

    #define             gnome_rfont_ref(o)

`o` : |

### gnome_rfont_unref()

    #define             gnome_rfont_unref(o)

`o` : |

### gnome_rfont_render_pgl_rgb8

    #define             gnome_rfont_render_pgl_rgb8

### gnome_rfont_render_pgl_rgba8

    #define             gnome_rfont_render_pgl_rgba8

### GNOME_RFONT_RENDER_DEFAULT

    #define GNOME_RFONT_RENDER_DEFAULT 0

### gnome_rfont_get_font ()

    GnomeFont *         gnome_rfont_get_font                (const GnomeRFont *rfont);

`rfont` : |
Returns : |

### gnome_rfont_get_face ()

    GnomeFontFace *     gnome_rfont_get_face                (const GnomeRFont *rfont);

`rfont` : |
Returns : |

### gnome_rfont_get_matrix ()

    gdouble *           gnome_rfont_get_matrix              (const GnomeRFont *rfont,
                                                             gdouble *matrix);

`rfont` : |
`matrix` : |
Returns : |

### gnome_rfont_get_glyph_stdadvance ()

    ArtPoint *          gnome_rfont_get_glyph_stdadvance    (GnomeRFont *rfont,
                                                             gint glyph,
                                                             ArtPoint *advance);

`rfont` : |
`glyph` : |
`advance` : |
Returns : |

### gnome_rfont_get_glyph_stdbbox ()

    ArtDRect *          gnome_rfont_get_glyph_stdbbox       (GnomeRFont *rfont,
                                                             gint glyph,
                                                             ArtDRect *bbox);

`rfont` : |
`glyph` : |
`bbox` : |
Returns : |

### gnome_rfont_get_glyph_stdkerning ()

    ArtPoint *          gnome_rfont_get_glyph_stdkerning    (GnomeRFont *rfont,
                                                             gint glyph0,
                                                             gint glyph1,
                                                             ArtPoint *kerning);

`rfont` : |
`glyph0` : |
`glyph1` : |
`kerning` : |
Returns : |

### gnome_rfont_get_glyph_bpath ()

    const ArtBpath *    gnome_rfont_get_glyph_bpath         (GnomeRFont *rfont,
                                                             gint glyph);

`rfont` : |
`glyph` : |
Returns : |

### gnome_rfont_get_glyph_svp ()

    const ArtSVP *      gnome_rfont_get_glyph_svp           (GnomeRFont *rfont,
                                                             gint glyph);

`rfont` : |
`glyph` : |
Returns : |

### gnome_rfont_get_closest_pango_font ()

    PangoFont *             gnome_rfont_get_closest_pango_font
                                                            (const GnomeRFont *rfont,
                                                             PangoFontMap *map);

`rfont` : |
`map` : |
Returns : |

### gnome_rfont_get_pango_description ()

    PangoFontDescription *  gnome_rfont_get_pango_description
                                                            (const GnomeRFont *rfont);

`rfont` : |
Returns : |